%global npmname qtdatastream

Name:           nodejs-%{npmname}
Version:        0.6.7
Release:        2%{?dist}
Summary:        Nodejs lib which can read/write Qt formatted Datastreams

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}
Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz

BuildRequires:  nodejs-packaging

BuildRequires:  nodejs-debug, nodejs-int64-buffer

BuildRequires:  nodejs-grunt, nodejs-grunt-contrib-nodeunit, nodejs-grunt-contrib-watch,
BuildRequires:  nodejs-grunt-cli

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Nodejs lib which can read/write Qt formatted Datastreams.

For the moment the following types are handled for reading and writing:
QBool, QShort, QInt, QInt64, QUInt, QUInt64, QDouble, QMap, QList, QString,
QVariant, QStringList, QByteArray, QUserType, QDateTime, QTime, QChar,
QInvalid.

%prep
%autosetup -n package

# Do not load nodejs-grunt-jsdoc for now.

sed "s,grunt.loadNpmTasks('grunt-jsdoc');,//grunt.loadNpmTasks('grunt-jsdoc');," -i Gruntfile.js

# Remove hidden .jshintrc file
rm lib/.jshintrc

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a lib/ %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

# Run nodeunit tests.
grunt nodeunit --force

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE-MIT
%doc README.md


%changelog
* Sun Jan 01 2017 Ben Rosser <rosser.bjr@gmail.com> - 0.6.7-2
- Remove hidden .jshintrc file from package.

* Tue Nov 22 2016 Ben Rosser <rosser.bjr@gmail.com> - 0.6.7-1
- Update to latest upstream release, fixing another date conversion bug.

* Wed Jun 29 2016 Ben Rosser <rosser.bjr@gmail.com> - 0.6.6-1
- Update to latest upstream release, fixing a bug with the unit tests.

* Wed Jun 29 2016 Ben Rosser <rosser.bjr@gmail.com> - 0.6.5-1
- Initial package.
